using SqlSugar;
using System;

namespace Intend
{
    [SugarTable("DeviceWarrantyRequestMaintaion")]
    public class MainItemModel
    {
        /// <summary>
        /// 自增长主键 
        ///</summary>
        [SugarColumn(ColumnName = "AutoID", IsPrimaryKey = true, IsIdentity = true)]
        public int AutoID { get; set; }

        /// <summary>
        /// 唯一编号 
        /// 默认值: (newid())
        ///</summary>
        [SugarColumn(ColumnName = "GUID")]
        public Guid Guid { get; set; }

        /// <summary>
        /// 停机单编号 
        ///</summary>
        [SugarColumn(ColumnName = "FormID")]
        public int FormID { get; set; }

        /// <summary>
        /// 现象区分 
        ///</summary>
        [SugarColumn(ColumnName = "SymptomlDistinction")]
        public int SymptomlDistinction { get; set; }

        /// <summary>
        /// 维修方式 
        ///</summary>
        [SugarColumn(ColumnName = "Maintenance")]
        public int Maintenance { get; set; }

        /// <summary>
        /// 开始时间 
        ///</summary>
        [SugarColumn(ColumnName = "MaintainStartTime")]
        public DateTime MaintainStartTime { get; set; }

        /// <summary>
        /// 结束时间 
        ///</summary>
        [SugarColumn(ColumnName = "MaintainEndTime")]
        public DateTime MaintainEndTime { get; set; }

        /// <summary>
        /// 故障原因 
        ///</summary>
        [SugarColumn(ColumnName = "MaintainCause")]
        public string MaintainCause { get; set; }

        /// <summary>
        /// 故障内容 
        ///</summary>
        [SugarColumn(ColumnName = "MaintainContent")]
        public string MaintainContent { get; set; }

        /// <summary>
        /// 是否需要再次验证 
        ///</summary>
        [SugarColumn(ColumnName = "BeValidate")]
        public bool BeValidate { get; set; }

        /// <summary>
        /// 理由 
        ///</summary>
        [SugarColumn(ColumnName = "Reason")]
        public string Reason { get; set; }

        /// <summary>
        /// 验证编号 
        ///</summary>
        [SugarColumn(ColumnName = "ValidateNo")]
        public string ValidateNo { get; set; }

        /// <summary>
        /// 是否提交
        /// </summary>
        [SugarColumn(IsIgnore = true)]
        public bool IsSubmit { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "CreatOn")]
        public DateTime CreatOn { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnName = "CreateBy")]
        public int CreateBy { get; set; }

        /// <summary>
        /// 修改时间
        /// </summary>
        [SugarColumn(ColumnName = "ModifyOn")]
        public DateTime ModifyOn { get; set; }

        /// <summary>
        /// 修改人
        /// </summary>
        [SugarColumn(ColumnName = "ModifyBy")]
        public int ModifyBy { get; set; }

        /// <summary>
        /// 维修提交时间
        /// </summary>
        [SugarColumn(ColumnName = "SubmitOn")]
        public DateTime SubmitOn { get; set; }

        /// <summary>
        /// 维修提交人
        /// </summary>
        [SugarColumn(ColumnName = "SubmitBy")]
        public int SubmitBy { get; set; }

        /// <summary>
        /// 验证时间
        /// </summary>
        [SugarColumn(ColumnName = "ValidateOn")]
        public DateTime ValidateOn { get; set; }

        /// <summary>
        /// 验证人
        /// </summary>
        [SugarColumn(ColumnName = "ValidateBy")]
        public int ValidateBy { get; set; }

        /// <summary>
        /// 验证时间
        /// </summary>
        [SugarColumn(ColumnName = "Validate2On")]
        public DateTime Validate2On { get; set; }

        /// <summary>
        /// 验证人
        /// </summary>
        [SugarColumn(ColumnName = "Validate2By")]
        public int Validate2By { get; set; }
    }
}
